HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetTopupsTopup

Contains the different functions to run the operation getTopupsTopup

  • 2 types
  • 2 values
valuegetTopupsTopup
  1. :: MonadHTTP m
  2. => GetTopupsTopupParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetTopupsTopupResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/topups/{topup}

<p>Retrieves the details of a top-up that has previously been created. Supply the unique top-up ID that was returned from your previous request, and Stripe will return the corresponding top-up information.</p>

Defines the object schema located at paths./v1/topups/{topup}.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getTopupsTopup.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetTopupsTopupResponseError is used.

Constructors

Instances2Eq, Show